<template>
    <div id="landing-infos" class="d-flex flex-row">
        <div class="col d-flex justify-content-center align-items-center">
            <div class="infos-card blue">
                <div class="title">Contenu à l'achat</div>
                <div class="card-content">
                    <div>
                        Le savoir d’Askip, complet et sans connexion. Découvre nos contenus téléchargeable
                    </div>
                </div>
                <button class="button-pill">Découvrir</button>
                <div class="circle" style="background-color: #FFFBA9;top: -95px; left: 52px">
                    <img src="../assets/sit_yellow.png" style="position: absolute;top: -5px;left: -20px;">
                </div>
            </div>
        </div>
        <div class="col d-flex flex-column justify-content-center align-items-center">
            <div class="illu-services">
                <img src="../assets/illustration_service.png" />
            </div>
        </div>
        <div class="col d-flex justify-content-center align-items-center">
            <div class="infos-card yellow">
                <div class="title">Premium</div>
                <div class="card-content">
                    <div>
                        Accède à du contenu inédit, des ressources avancées et des fonctionnalités spéciales
                    </div>
                </div>
                <div class="price d-flex justify-content-end align-items-center"><div>4,99 <span style="font-size: 30px;">€</span></div></div>
                <div class="circle" style="background-color: #B2EDB6;top: -80px; left: -5px">
                    <img src="../assets/runner_green.png" style="position: absolute;top: -45px;left: -30px;">
                </div>
                <div class="premium">
                    <img src="../assets/premium.png">
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "LandingInfos",
    components: {},
    data() {
        return {}
    },
    methods: {}

}
</script>

<style scoped>
#landing-infos {
    height: 400px;
    margin-top: 400px;
}

.infos-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 316px;
    height: 239px;
    border-radius: 31px;
    background-color: #9BE3D9;
    position: relative;
    padding: 10px 25px;
}

.infos-card .title {
    color: #1A0B00;
    text-align: center;
    font-family: Pawradise;
    font-size: 25px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.infos-card .card-content {
    display: flex;
    justify-content: center;
    margin-top: 10px;
    flex-grow: 1;
    color: #000;
    font-family: Montserrat;
    font-size: 20px;
    font-weight: 400;
    line-height: 30px;
}

.button-pill {
    width: 141;
    height: 64px;
    border-radius: 30.5px;
    position: absolute;
    bottom: -32px;
    left: calc(50% - 65px);
    color: #1A0B00;
    text-align: center;
    font-family: Pawradise;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    background-color: #9BE3D9;
    border: none;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.price {
    color: #000;

    font-family: Montserrat;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.blue {
    border: 5px solid var(--bleu-bleu, #9BE3D9);
    background: var(--bleu-bleu-clair, #D4F4EE);
}

.yellow {
    border: 5px solid var(--jaune-jaune, #FFFF78);
    background: var(--jaune-jaune-clair, #FFFBA9);
}

.circle {
    width: 65px;
    height: 65px;
    border-radius: 50%;
    position: absolute;
}

.premium {
    width: 72px;
    height: 92px;
    position: absolute;
    right: -20px;
    top: -38px;
}

.illu-services {
    width: 506px;
    height: 331px;
}
</style>